%global _hardened_build 1

%define current_version 7.0.191

Summary:	Virtuozzo command line utility
Name:		prlctl
Version:	%{current_version}
Release:        1%{?dist}
Group:		Applications/System
License:	GPLv2
Source:		%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:	libprlsdk >= 7.0.209
BuildRequires:	libprlsdk-devel >= 7.0.209, libprlcommon-devel
BuildRequires:	boost-devel
Obsoletes:	parallels-server-cli
ExclusiveArch:	x86_64

%description
Command line utilities to manage Virtuozzo work.

%prep
%setup -q

%build
export CFLAGS="$RPM_OPT_FLAGS"
export LDFLAGS="$RPM_LD_FLAGS"
%make_build all

%install
rm -rf %{buildroot}
%make_install
%{__mkdir} -p %{buildroot}/%{_bindir}
%{__mkdir} -p %{buildroot}%{_docdir}/%{name}-%{version}
install -m 644 COPYING GPL-2.0  %{buildroot}%{_docdir}/%{name}-%{version}/

%clean
rm -rf %{buildroot}

%files
%defattr(755,root,root)
%{_bindir}/prlctl
%{_bindir}/prlsrvctl
%attr(755,root,root) %{_sysconfdir}/bash_completion.d/prlctl.sh
%{_datadir}/pmigrate
%{_mandir}/man8/prlctl.8*
%{_mandir}/man8/prlsrvctl.8*
%{_docdir}/%{name}-%{version}

%changelog
* Fri Feb 28 2020 Igor Sukhih <igor@virtuozzo.com> 7.0.191
 - list option "ip_configured" breaks the output for other options #PSBM-101836

* Thu Feb 27 2020 Igor Sukhih <igor@virtuozzo.com> 7.0.190
 - PSBM-101599 Escape characters in user-defined fields in JSON output (Dmitry
Mishin <dim@virtuozzo.com>)
 - server_event_handler_monitor(): print event type as text
 - Added targets.list (Konstantin Volkov <wolf@virtuozzo.com>)

* Wed Jan 22 2020 Igor Sukhih <igor@virtuozzo.com> 7.0.189
 - prlctl parses login/pass info incorrectly when using both '-s' and '-l'
options #PSBM-100938

* Thu Jan 16 2020 Dmitry Mishin <dim@virtuozzo.com> 7.0.188
 - pmigrate_local_login.py: use python2 explicitly (Igor Sukhih
<igor@virtuozzo.com>)

* Thu Jan 16 2020 Dmitry Mishin <dim@virtuozzo.com> 7.0.187
 - Fixed compilation under gcc8 (Igor Sukhih <igor@virtuozzo.com>)

* Mon Oct 14 2019 Igor Sukhih <igor@virtuozzo.com> 7.0.186
 - Add CentOS 8 support #PSBM-98591 (Pavel Vokhmyanin
<pvokhmyanin@virtuozzo.com>)

* Wed Sep 25 2019 Igor Sukhih <igor@virtuozzo.com> 7.0.185
 - Introduce "--full" switch for problem reports #PSBM-93921 (Pavel Vokhmyanin
<pvokhmyanin@virtuozzo.com>)

* Thu Aug 08 2019 Igor Sukhih <igor@virtuozzo.com> 7.0.183
 - prlctl killed by SIGSEGV #PSBM-96812
 - Ue boost::optional to handle empty argument

* Thu Jul 25 2019 Igor Sukhih <igor@virtuozzo.com> 7.0.182
 - Remove numproc refference from usage #PSBM-96390

* Wed Jul 17 2019 Igor Sukhih <igor@virtuozzo.com> 7.0.181
 - Unable to unset backup-tmpdir

* Wed Jul 10 2019 Igor Sukhih <igor@virtuozzo.com> 7.0.180
 - Added option to disable backup reversed delta temp image #PSBM-91410 (Yuriy
Pudgorodskiy <yur@virtuozzo.com>)

* Fri Jun 21 2019 Igor Sukhih <igor@virtuozzo.com> 7.0.179
 - bash_completion: remove deprecated '--mode <cold warm hot>'  #PSBM-95667

* Thu May 30 2019 Igor Sukhih <igor@virtuozzo.com> 7.0.178
 - Remove deprecated VM features
 - CT feature to allow setting date/time #PSBM-9463
 - Update Copyright

* Mon May 20 2019 Igor Sukhih <igor@virtuozzo.com> 7.0.177
 - Real-time restore for VMs #PSBM-83286

* Wed May 15 2019 Igor Sukhih <igor@virtuozzo.com> 7.0.176
 - Fixed md_clear flag defenition

* Wed May 15 2019 Igor Sukhih <igor@virtuozzo.com> 7.0.175
 - add md_clear cpufeature #PSBM-94428

* Thu Mar 28 2019 Igor Sukhih <igor@virtuozzo.com> 7.0.173
 - 'prlctl list -i' display inconsistent config #PSBM-92894
 - Revert "'prlctl list -i' display inconsistent config #PSBM-92894"

* Wed Mar 27 2019 Igor Sukhih <igor@virtuozzo.com> 7.0.172
 - 'prlctl list -i' display inconsistent config #PSBM-92894

* Wed Mar 20 2019 Igor Sukhih <igor@virtuozzo.com> 7.0.168
 - Edits to 'prlctl' man: adds the short '-t' option beside '--ostemplate' in
the 'prlctl create' command. Fixes PSBM-91877 (Alyona Migai
<amigai@virtuozzo.com>)
 - prl list: Use fast list logic for with '-o'

* Fri Mar 01 2019 Igor Sukhih <igor@virtuozzo.com> 7.0.167
 - Umable to list Vm home by '-o'

* Thu Feb 28 2019 Igor Sukhih <igor@virtuozzo.com> 7.0.166
 - description couldn't be set to blank using prlctl #PSBM-92050

* Tue Feb 19 2019 Igor Sukhih <igor@virtuozzo.com> 7.0.165
 - 'prlctl list -i' display trimmed info #PSBM-91868

* Tue Dec 25 2018 Igor Sukhih <igor@virtuozzo.com> 7.0.159
 - Remove --distribution from 'prlctl set' manual PSBM-88100 (Konstantin B.
Bukharov <bkb@virtuozzo.com>)

* Thu Dec 13 2018 Igor Sukhih <igor@virtuozzo.com> 7.0.158
 - prlsrvctl.8: update --backup-storage
 - Unset backup storage settings

* Tue Nov 06 2018 Igor Sukhih <igor@virtuozzo.com> 7.0.157
 - enable generic PCI devices inside a VM config (Sergey Galas
<shrike@virtuozzo.com>)

* Fri Sep 21 2018 Igor Sukhih <igor@virtuozzo.com> 7.0.156
 - prlct monitor action

* Wed Sep 12 2018 Igor Sukhih <igor@virtuozzo.com> 7.0.155
 - Force CT migration #PSBM-88556

* Wed Aug 08 2018 Igor Sukhih <igor@virtuozzo.com> 7.0.154
 - PSBM-87540 - Exception: Unknown features: set([u'pt']) Let change name of
this bit in prlsrvctl output to 'intel_pt' as in kernel sources and in
/proc/cpuinfo (Konstantin B. Bukharov <bkb@virtuozzo.com>)

* Fri Jun 22 2018 Igor Sukhih <igor@virtuozzo.com> 7.0.153
 - PSBM-86015: Unknown features: set([u'RESERVED']) (Konstantin B. Bukharov
<bkb@virtuozzo.com>)

* Fri Jun 22 2018 Igor Sukhih <igor@virtuozzo.com> 7.0.152
 - Fix bash autocompletion without VMs #PSBM-85968 (Pavel Vokhmyanin
<pvokhmyanin@virtuozzo.com>)

* Thu Jun 07 2018 Igor Sukhih <igor@virtuozzo.com> 7.0.151
 - extra PrlHandle_Free incurred by a phantom PrlHandle instance results in ub.
eliminate the extra object creation by an explicit construction from an api call
result. promote PrlHandle into noncopyables (Sergey Galas
<shrike@virtuozzo.com>)
 - prlctl man-page: moving running VMs is now possible #PSBM-85061 (Konstantin
B. Bukharov <bkb@virtuozzo.com>)

* Wed May 23 2018 Igor Sukhih <igor@virtuozzo.com> 7.0.150
 - define the 'ssbd' CPUID feature bit (CVE-2018-3639) #PSBM-84889

* Mon Apr 23 2018 Igor Sukhih <igor@virtuozzo.com> 7.0.149
 - Fix bash autocompletion to handle VMs with spaces in name #PSBM-71068 (Pavel
Vokhmyanin <pvokhmyanin@virtuozzo.com>)
 - Improve bash autocompletion for list command #PSBM-71068 (Pavel Vokhmyanin
<pvokhmyanin@virtuozzo.com>)
 - Add missing commands to bash auto-completion #PSBM-71068 (Pavel Vokhmyanin
<pvokhmyanin@virtuozzo.com>)
 - Fix autocompletion for devices and images #PSBM-71068 (Pavel Vokhmyanin
<pvokhmyanin@virtuozzo.com>)

* Tue Feb 20 2018 Igor Sukhih <igor@virtuozzo.com> 7.0.148
 - prlctl set vm -d list` does not list available distributions #PSBM-81704

* Thu Feb 08 2018 Igor Sukhih <igor@virtuozzo.com> 7.0.147
 - Update CPU feature name arch-capabilities to arch-facilities to match
libvirt/QEMU #PSBM-81405 (Konstantin B. Bukharov <bkb@virtuozzo.com>)

* Fri Feb 02 2018 Igor Sukhih <igor@virtuozzo.com> 7.0.146
 - merge from VZ6: SDK:cmdline tools: add support for SPEC_CTRL and friends
(Konstantin B. Bukharov <bkb@virtuozzo.com>) (#PSBM-80842)

* Wed Dec 06 2017 Igor Sukhih <igor@virtuozzo.com> 7.0.145
 - Add hyperv network adapter type support #PSBM-75059 (Pavel Vokhmyanin
<pvokhmyanin@virtuozzo.com>)

* Tue Nov 28 2017 Igor Sukhih <igor@virtuozzo.com> 7.0.144
 - Tolerate unknown devices in prlctl #PSBM-78162 (Pavel Vokhmyanin
<pvokhmyanin@virtuozzo.com>)

* Wed Oct 18 2017 Igor Sukhih <igor@virtuozzo.com> 7.0.143
 - prlsrvctl shutdown does not work  #PSBM-67988
 - remove prlsrvctl mem-limit option Hide mem-limit from
usage and man-page. Omit from info display #PSBM-62931

* Mon Sep 18 2017 Igor Sukhih <igor@virtuozzo.com> 7.0.142
 - Unable to add secondary disk for CT by device #PSBM-71252

* Mon Aug 21 2017 Igor Sukhih <igor@virtuozzo.com> 7.0.141
 - Can't add bridged Virtual Network by MAC-address #PSBM-52906

* Mon Aug 21 2017 Igor Sukhih <igor@virtuozzo.com> 7.0.140
 - Failed to create CT from template #PSBM-70392

* Mon Aug 21 2017 Igor Sukhih <igor@virtuozzo.com> 7.0.139
 - Failed to create CT from template #PSBM-70392

* Tue Aug 15 2017 Igor Sukhih <igor@virtuozzo.com> 7.0.138
 - Do not list slaves on 'prlssrvctl net list|info'
 - Do not request VM/CT list on create
 - Deny to use unknown devices #PSBM-67069 (#PSBM-28955)

* Mon Jul 24 2017 Igor Sukhih <igor@virtuozzo.com> 7.0.137
 - Fixes 'prlctl --dst' option description, #PSBM-66347

* Wed Jul 19 2017 Igor Sukhih <igor@virtuozzo.com> 7.0.136
 - ipv6 network mask is missed #PSBM-68703

* Tue Jul 18 2017 Igor Sukhih <igor@virtuozzo.com> 7.0.135
 - Fixed ipv6 normalization #PSBM-67559

* Tue Jul 18 2017 Igor Sukhih <igor@virtuozzo.com> 7.0.134
 - Dont add attached backup to boot order #PSBM-66135

* Mon Jul  3 2017 Konstantin Volkov <wolf@virtuozzo.com> 7.0.133-2
- Technical rebuild, see #PSBM-67887

* Tue Jun 27 2017 Igor Sukhih <igor@virtuozzo.com> 7.0.133
 - update an option description

* Thu Jun 22 2017 Igor Sukhih <igor@virtuozzo.com> 7.0.132
 - bug #PSBM-66500 aka Support for CPU topology configuration

* Mon May 29 2017 Igor Sukhih <igor@virtuozzo.com> 7.0.131
 - Not correct CT state reported #PSBM-57132

* Fri May 26 2017 Andrey Bondrov <abondrov@virtuozzo.com> 7.0.129-2
- Enable hardened build, see #PSBM-58107

* Thu May 04 2017 bkbbkb <bkb@virtuozzo.com> 7.0.129
 - Get rid of integer overflow in iolimit PSBM-65412 (Inga Pyass
<ipyass@virtuozzo.com>)

* Wed Apr 26 2017 Igor Sukhih <igor@virtuozzo.com> 7.0.127
 - prlsrvctl net info: empty slave ifaces #PSBM-65453

* Wed Apr 19 2017 Igor Sukhih <igor@virtuozzo.com> 7.0.126
 - Remove "--dhcp no" and "--dhcp6 no" from mans and docs #PSBM-55911

* Fri Apr 14 2017 Igor Sukhih <igor@virtuozzo.com> 7.0.125
 - bash_completion: restore autocompletion #PSBM-63213

* Fri Apr 14 2017 Igor Sukhih <igor@virtuozzo.com> 7.0.124
 - style: remove parallels  word from sources #PSBM-64372
 - prlctl.8: update --memguarantee auto description #PSBM-59479

* Thu Apr 13 2017 Igor Sukhih <igor@virtuozzo.com> 7.0.123
 - prlctl.8: update --memguarantee auto description #PSBM-59479

* Thu Apr 06 2017 Igor Sukhih <igor@virtuozzo.com> 7.0.122
 - document memory dump during snapshot and PSBM-63265

* Wed Apr 05 2017 Igor Sukhih <igor@virtuozzo.com> 7.0.121
 - Omit obsoleted parameters from prlctl list output PSBM-62288

* Thu Mar 30 2017 Igor Sukhih <igor@virtuozzo.com> 7.0.120
 - prlctl statistics doesn't work correctly #PSBM-60575
 - Outdated advice for the --vnc-ssl-certificate #PSBM-63195

* Thu Mar 30 2017 Igor Sukhih <igor@virtuozzo.com> 7.0.119
 - Return back version info in usage #PSBM-63191

* Wed Mar 29 2017 Igor Sukhih <igor@virtuozzo.com> 7.0.118
 - Get version from Makefile.version

* Wed Mar 29 2017 Igor Sukhih <igor@virtuozzo.com> 7.0.117
 - Incorect version in usage #PSBM-62595

* Fri Mar 24 2017 Igor Sukhih <igor@virtuozzo.com> 7.0.116
 - VNC server SSL settings #PSBM-62900

* Wed Mar 22 2017 Igor Sukhih <igor@virtuozzo.com> 7.0.115
 - Add --vnc-address to prlctl help usage. PSBM-60716

* Mon Mar 20 2017 Igor Sukhih <igor@virtuozzo.com> 7.0.114
 - Add support for Hyper-V paravirt storage devices #PSBM-59030

* Tue Mar 14 2017 Igor Sukhih <igor@virtuozzo.com> 7.0.113
 - Live VM update #PSBM-59325
 - Update copyrights ( #PSBM-58317 ) (Andrey Bondrov <abondrov@virtuozzo.com>)

* Mon Mar 06 2017 Igor Sukhih <igor@virtuozzo.com> 7.0.112
 - server_event_handler_monitor(): display event type id for unknown event

* Fri Mar 03 2017 Igor Sukhih <igor@virtuozzo.com> 7.0.111
 - prlctl with flag --no-hdd creates container with hdd #PSBM-61395
 - Add rebranding macroses, see #PSBM-58317

* Tue Feb 21 2017 Igor Sukhih <igor@virtuozzo.com> 7.0.110
 - prlctl device-add ignores --iface option fro cdrom #PSBM-60902

* Tue Feb 14 2017 Igor Sukhih <igor@virtuozzo.com> 7.0.109
 - Reveal guest tools management to user

* Thu Jan 26 2017 Igor Sukhih <igor@virtuozzo.com> 7.0.108
 - Skip setup bootorder for CT on disk add #PSBM-59317

* Tue Jan 24 2017 Igor Sukhih <igor@virtuozzo.com> 7.0.107
 - Container reinstall #PSBM-58698

* Mon Jan 16 2017 Igor Sukhih <igor@virtuozzo.com> 7.0.106
 - bash_completion/prlctl.sh: misprint in "--autostart-delay" #PSBM-58677
 - style: fixed build

* Tue Dec 20 2016 Dmitry Mishin <dim@virtuozzo.com> 7.0.105
 - References PSBM-55913 (Artem Pavlenko <apavlenko@virtuozzo.com>)

* Wed Dec 14 2016 Konstantin Volkov <wolf@virtuozzo.com> 7.0.104
 - Fixed compilation in VzLinux 7.3 environment

* Wed Dec 07 2016 Igor Sukhih <igor@virtuozzo.com> 7.0.103
 - Add explicit CloudLinux support #PSBM-51659

* Mon Nov 21 2016 Dmitry Mishin <dim@virtuozzo.com> 7.0.102
 - Hide obsoleted snapshot's description option from usage PSBM-54899

* Mon Nov 14 2016 Igor Sukhih <igor@virtuozzo.com> 7.0.101
 - doc: Fixed english wording PSBM-55007 (Dmitry Mishin <dim@virtuozzo.com>)
 - doc: Fix default metric in iolimit description PSBM-54463
 - Possible string overfolw

* Fri Oct 28 2016 Igor Sukhih <igor@virtuozzo.com> 7.0.100
 - PrlSrv::backup_node(): terminate backup on cancelation error
 - Remote backup asks password for second and further backup #PSBM-54059

* Wed Oct 19 2016 Igor Sukhih <igor@virtuozzo.com> 7.0.99
 - prlctl option to configure on-crash behaviour #PSBM-51079

* Tue Oct 18 2016 Igor Sukhih <igor@virtuozzo.com> 7.0.98
 - enhance listing of supported guests #PSBM-52971

* Tue Oct 18 2016 Igor Sukhih <igor@virtuozzo.com> 7.0.97
 - Default disk size used if encrypted image created #PSBM-53859

* Wed Oct 12 2016 Igor Sukhih <igor@virtuozzo.com> 7.0.96
 - Add websocket VNC port, #PSBM-53289

* Tue Oct 11 2016 Igor Sukhih <igor@virtuozzo.com> 7.0.95
 - Restrict usage of encryption options #PSBM-53420

* Mon Oct 10 2016 Dmitry Mishin <dim@virtuozzo.com> 7.0.94
 - Removed --template on/off as discussed with dim@. Fixes PSBM-53401 (Artem
Pavlenko <apavlenko@virtuozzo.com>)

* Mon Oct 10 2016 Igor Sukhih <igor@virtuozzo.com> 7.0.93
 - Add encryption options to usage #PSBM-53445
 - Print validation results to stdout #PSBM-50234

* Thu Oct 06 2016 Igor Sukhih <igor@virtuozzo.com> 7.0.92
 - Removed mention of the --split option from usage #PSBM-53208
 - Mentioned that --netfilter full is default now; references PSBM-52070

* Thu Sep 22 2016 Igor Sukhih <igor@virtuozzo.com> 7.0.91
 - Fix --no-wipe option in manpage

* Tue Sep 20 2016 Igor Sukhih <igor@virtuozzo.com> 7.0.90
 - Support encrypt, decrypt and change key #PSBM-52088

* Mon Sep 19 2016 Igor Sukhih <igor@virtuozzo.com> 7.0.89
 - Added a description for 'cttemplate copy' command PSBM-52266
 - Add possibility to specify hdd's serial number:(PSBM-51713
 - Fixed coverity warning about unhandled exceptions

* Fri Sep 16 2016 Igor Sukhih <igor@virtuozzo.com> 7.0.88
 - Cosmetic capture error messages improvements #PSBM-52185

* Tue Sep 13 2016 Igor Sukhih <igor@virtuozzo.com> 7.0.87
 - Add an ability to take a screenshot of a VM #PSBM-50870

* Tue Sep 13 2016 Igor Sukhih <igor@virtuozzo.com> 7.0.86
 - Do not display empty encryption keyid #PSBM-52074
 - style: remove code dup in PrlOutFormatterJSON::add() #PSBM-52074

* Tue Sep 13 2016 Igor Sukhih <igor@virtuozzo.com> 7.0.85
 - Display encryption keyid

* Fri Sep 09 2016 Igor Sukhih <igor@virtuozzo.com> 7.0.84
 - Display encryption keyid
 - --no-tunnel option for backups & restore #PSBM-51830

* Tue Aug 30 2016 Igor Sukhih <igor@virtuozzo.com> 7.0.83
 - No Details on Ct creation failure #PSBM-51524

* Tue Aug 16 2016 Igor Sukhih <igor@virtuozzo.com> 7.0.82
 - Disk encryption support #PSBM-50667

* Tue Aug 09 2016 Igor Sukhih <igor@virtuozzo.com> 7.0.81
 - remove convert operation from man and usage #PSBM-50865
 - Show mount point for both disk types(images and block devices)

* Mon Aug 01 2016 Igor Sukhih <igor@virtuozzo.com> 7.0.80
 - Support --keep-src as alias for --clone #PSBM-50423

* Thu Jul 28 2016 Igor Sukhih <igor@virtuozzo.com> 7.0.79
 - Listen error events on VM start #PSBM-41865

* Wed Jul 27 2016 Igor Sukhih <igor@virtuozzo.com> 7.0.78
 - Enhance basic firewall support, #PSBM-48131
 - coverity CID 135820: Error handling issues
 - Rename 'keep-src' to 'clone' #PSBM-49385

* Wed Jul 20 2016 Igor Sukhih <igor@virtuozzo.com> 7.0.77
 - Do not run cleanup from signal handler #PSBM-49025

* Tue Jul 19 2016 Denis Silakov <dsilakov@virtuozzo.com> 7.0.76-2
 - Obsolete parallels-server-cli from Vz6 (#PSBM-49624)
 
* Tue Jul 19 2016 Igor Sukhih <igor@virtuozzo.com> 7.0.76
 - Fix clflushopt name #PSBM-49651
 - Add 'prlctl statistics' to usage, #PSBM-48219

* Tue Jul 19 2016 Igor Sukhih <igor@virtuozzo.com> 7.0.75
 - Add "clflushopt" alias to "cflushopt" CPU feature #PSBM-49651
 - Document "prlctl statistics" command, #PSBM-48219
 - Print VM uuid for "prl[srv]ctl statistics --all", #PSBM-48219
 - Allow "prlctl statistics --all", #PSBM-48219

* Wed Jul 13 2016 Igor Sukhih <igor@virtuozzo.com> 7.0.74
 - Rename cpufeature cflushopt -> clflushopt #PSBM-49611
 - Fixes PSBM-41890 (Artem Pavlenko <apavlenko@virtuozzo.com>)

* Wed Jun 29 2016 Igor Sukhih <igor@virtuozzo.com> 7.0.73
 - prlsrvctl tc restart: unrecognized option #PSBM-49137

* Tue Jun 28 2016 Igor Sukhih <igor@virtuozzo.com> 7.0.72
 - Add shaperrestart action #PSBM-42178

* Fri Jun 24 2016 Dmitry Mishin <dim@virtuozzo.com> 7.0.71
 - Fixed return code processing on errors PSBM-48902

* Fri Jun 24 2016 Igor Sukhih <igor@virtuozzo.com> 7.0.70
 - Style: make a restoration message clearer PSBM-48866
 - Add check of socket-tcp option value. #PSBM-44858

* Thu Jun 23 2016 Igor Sukhih <igor@virtuozzo.com> 7.0.69
 - Get rid of old disk encryption interface #PSBM-48677

* Wed Jun 22 2016 Igor Sukhih <igor@virtuozzo.com> 7.0.68
 - Do not print hdd index in backup progress messages #PSBM-48334

* Tue Jun 21 2016 Igor Sukhih <igor@virtuozzo.com> 7.0.67
 - prlctl.8: renove deprecated ipgre feature #PSBM-48597
 - Removed mentions of prlctl capture from man and help. #PSBM-44949.

* Mon Jun 20 2016 Igor Sukhih <igor@virtuozzo.com> 7.0.66
 - Add --remove-src option for migration #PSBM-48190
 - Fix possible buffer overflow (coverity-124985)
 - Remove unused PrlLic.m_is_unlimited field (fix coverity-124989)
 - Initialize members of memguarantee struct (fix coverity-125005)
 - Add an example of using -o option of prlctl list. #PSBM-48344
 - Add an ability to specify that backup chain should be preserved #PSBM-47789

* Tue Jun 14 2016 Igor Sukhih <igor@virtuozzo.com> 7.0.65
 - Show CPU limit mode in VM info #PSBM-45713

* Wed Jun 08 2016 Dmitry Mishin <dim@virtuozzo.com> 7.0.64
 - Remove debug output PSBM-48105

* Tue Jun 07 2016 Igor Sukhih <igor@virtuozzo.com> 7.0.63
 - Add --no-tunnel option for migration #PSBM-47968

* Mon Jun 06 2016 Igor Sukhih <igor@virtuozzo.com> 7.0.62
 - Switch to boost xml_parser from home-made implementation #PSBM-47759
 - Enable "prlctl delete --force" to unregister running invalid VMs. #PSBM-45622
 - Fix default memory guarantee value in the manpage. #PSBM-47321

* Thu Jun 02 2016 Igor Sukhih <igor@virtuozzo.com> 7.0.61
 - Use provided backup ID as is if normalize_uuid() fails 
 - Drop --start-as-user option from prlctl. #PSBM-47713
 - Print stage name on PET_JOB_STAGE_PROGRESS_CHANGED event recieved #PSBM-46042

* Tue May 31 2016 Igor Sukhih <igor@virtuozzo.com> 7.0.60
 - Remove shared folders support #PSBM-47679
 - Correct the description of "prlctl snapshot-delete" in the prlctl.8.
 - Do not print progress percentage to stdout if it is not a terminal #PSBM-17860
 - Fix --backup-del all

* Fri May 27 2016 Igor Sukhih <igor@virtuozzo.com> 7.0.59
 - installtools: even more clear info message #PSBM-46605
 - Do not setup custom env for prlctl enter on Windows guest

* Thu May 19 2016 Igor Sukhih <igor@virtuozzo.com> 7.0.58
 - Add backup command to prlsrvctl to bakup all node VE. #PSBM-45375

* Mon May 16 2016 Dmitry Mishin <dim@virtuozzo.com> 7.0.57
 - Enabled verbose license info via prlsrvctl #PSBM-46768 (Yuriy Pudgorodskiy
<yur@virtuozzo.com>)

* Thu May 12 2016 Dmitry Mishin <dim@virtuozzo.com> 7.0.56
 - Fixed typo in usage

* Sat May 07 2016 Dmitry Mishin <dim@virtuozzo.com> 7.0.55
 - An ability to do not compress data during migration (#PSBM-46784)

* Tue Apr 26 2016 Igor Sukhih <igor@parallels.com> 7.0.54
 - Add possibility to set and view nodemask by prlctl. #PSBM-39268

* Mon Apr 25 2016 Igor Sukhih <igor@parallels.com> 7.0.53
 - Added explicit support for Virtuozzo Linux

* Mon Apr 25 2016 Igor Sukhih <igor@parallels.com> 7.0.52
 - Fix templates output (Alexander Burluka #PSBM-46127

* Tue Apr 19 2016 Igor Sukhih <igor@parallels.com> 7.0.51
 - Failed to restore incremantal backup #PSBM-46341

* Tue Apr 19 2016 Igor Sukhih <igor@parallels.com> 7.0.50
 - Prohibit --changesid without --keep-src for migrate action #PSBM-46043

* Fri Apr 08 2016 Igor Sukhih <igor@parallels.com> 7.0.49
 - should be way to get same information as vznetcfg #PSBM-40141

* Sat Apr 02 2016 Igor Sukhih <igor@parallels.com> 7.0.48
 - display full storage url in schema is not 'backup://' #PSBM-45615
 - Add --force for prlctl delete #PSBM-41603 (Ivlev <pivlev@virtuozzo.com>)

* Wed Mar 30 2016 Igor Sukhih <igor@parallels.com> 7.0.47
 - Add an ability to cancel a Container creation #PSBM-35315

* Mon Mar 28 2016 Igor Sukhih <igor@parallels.com> 7.0.46
 - Fixed object's naming on registration #PSBM-44871
 - Hide 'capability' parameter #PSBM-41030
 - drop os info #PSBM-23711

* Fri Mar 25 2016 Igor Sukhih <igor@parallels.com> 7.0.45
 - Unable to restore deleted CT
 - Remove obsoleted mandrake distribution name PSBM-41867

* Tue Mar 22 2016 Igor Sukhih <igor@parallels.com> 7.0.44
 - virtio is not supported for cdrom #PSBM-44753
 - don't delete images by default #PSBM-40201

* Sat Mar 12 2016 Dmitry Mishin <dim@virtuozzo.com> 7.0.43
 - Removed non-working server option PSBM-44961

* Thu Mar 10 2016 Igor Sukhih <igor@parallels.com> 7.0.42
 - prlctl 'list -o ip,status,netif' Segmentation fault #PSBM-44938
 - Introduce sdbg CPUID flag #PSBM-44801
 - fix --ignore-ha-cluster for register task #PSBM-44775

* Tue Mar 01 2016 Igor Sukhih <igor@parallels.com> 7.0.41
 - Hide start-as-user option #PSBM-29952
 - Update default windows version to the current server edition #PSBM-44359
 - Add support for TCP and UDP emulation mode for serial device #PSBM-43039

* Fri Feb 26 2016 Igor Sukhih <igor@parallels.com> 7.0.40
 - Fixed type in prlctl --without-shell #PSBM-44045 (Yuri Pudgorodskiy
<yur@virtuozzo.com>)

* Sat Feb 20 2016 Dmitry Mishin <dim@virtuozzo.com> 7.0.39
 - Pass tty windows size via LINES and COLUMNS var to guest exec #PSBM-43912
(Yuri Pudgorodskiy <yur@virtuozzo.com>)
 - Add forgotten helper for migration

* Thu Feb 18 2016 Igor Sukhih <igor@parallels.com> 7.0.38
 - Added prlctl exec VM --without-shell option - #PSBM-44045 (Yuri Pudgorodskiy
<yur@virtuozzo.com>)

* Mon Feb 08 2016 Igor Sukhih <igor@parallels.com> 7.0.37
 - Use raw termios mode only for guest type linux. #PSBM-43911

* Sat Feb 06 2016 Dmitry Mishin <dim@virtuozzo.com> 7.0.36
 - Handle termios setting for prlctl enter. PSBM-43911 (Yuri Pudgorodskiy
<yur@virtuozzo.com>)

* Wed Feb 03 2016 Igor Sukhih <igor@parallels.com> 7.0.35
 - Add '--features' parameter in prlctl man and help message. #PSBM-39267
 - Update information about --memguarantee in man and help #PSBM-43556 

* Tue Jan 26 2016 Igor Sukhih <igor@parallels.com> 7.0.34
 - Allow to specify guest user password on stopped VM #PSBM-41445

* Fri Jan 22 2016 Dmitry Mishin <dim@virtuozzo.com> 7.0.33
 - Deprecate --memquota #PSBM-41963 (Dmitry Andreev <dandreev@virtuozzo.com>)
 - Remove plain disks, #PSBM-42088 (Maxim Perevedentsev
<mperevedentsev@virtuozzo.com>)

* Tue Jan 19 2016 Igor Sukhih <igor@parallels.com> 7.0.32
 - Add '--memguarantee' parameter #PSBM-42535 (Dmitry Andreev
<dandreev@virtuozzo.com>)

* Mon Jan 18 2016 Igor Sukhih <igor@parallels.com> 7.0.31
 - Add '--memguarantee' parameter #PSBM-42535

* Fri Jan 15 2016 Igor Sukhih <igor@parallels.com> 7.0.30
 - VM CPU limit type is now configurable via prlsrvctl (Alexander Burluka
<aburluka@virtuozzo.com>)

* Wed Jan 13 2016 Igor Sukhih <igor@parallels.com> 7.0.29
 - Unable to add ne hdd to VM #PSBM-42756

* Wed Dec 30 2015 Igor Sukhih <igor@parallels.com> 7.0.28
 - Process --uuid parameter for clone action #PSBM-42554

* Wed Dec 16 2015 Igor Sukhih <igor@parallels.com> 7.0.27
 - Add details of operation failure to configuration edit operations #PSBM-42287

* Wed Dec 09 2015 Igor Sukhih <igor@parallels.com> 7.0.26
 - Show HDD serial number in prlctl -i output #PSBM-40247
 - Cleanup prohibited devices from bash completion script #PSBM-41567 #PSBM-41159
 - Remove parallel devices from man page and usage as they are not used in the
product #PSBM-41567

* Fri Dec 04 2015 Dmitry Mishin <dim@virtuozzo.com> 7.0.25
 - Reflect license policy change - now its absence is valid situation
 - Restored 'prlsrvctl info' output, accidentally lost. #PSBM-41766
 - Remove unnecessary prefix from error message (Alexander Burluka
<aburluka@odin.com>) (#PSBM-41442)

* Tue Dec 01 2015 Igor Sukhih <igor@parallels.com> 7.0.24
 - Fixed bad error handling #PSBM-41442
 - Remove custom error handling for set user password cmd The reason is that VMs

* Mon Nov 16 2015 Igor Sukhih <igor@parallels.com> 7.0.23
 - Fix network creation - missed network name #PSBM-41307

* Fri Nov 13 2015 Dmitry Mishin <dim@virtuozzo.com> 7.0.22
 - Add details field if present to prlctl error output (Alexander Burluka
<aburluka@odin.com>) (#PSBM-39113)

* Thu Nov 12 2015 Igor Sukhih <igor@parallels.com> 7.0.21
 - Fix installtool action
 - Actualize device emulations options in man page and usage #PSBM-41165
 - Hide an ability to add sound devices from usage and man page
 - No support of Mac OS in vz7 due to the absence of MacBIOS
 - Prlsrvctl now forbids virtual network renaming #PSBM-35036

* Tue Oct 27 2015 Dmitry Mishin <dim@virtuozzo.com> 7.0.20
 - Show real OS template value for Containers in prlctl list (#PSBM-38788)

* Sat Oct 24 2015 Dmitry Mishin <dim@virtuozzo.com> 7.0.19
 - Clean up man page and use unified terminology (#OVZ-6521)

* Fri Oct 23 2015 Igor Sukhih <igor@parallels.com> 7.0.18
 - SATA support is dropped for all guests #PSBM-40485

* Tue Oct 20 2015 Igor Sukhih <igor@parallels.com> 7.0.17
 - Handle PMS_VIRTIO_BLOCK_DEVICE storage type #PSBM-39893

* Mon Oct 12 2015 Igor Sukhih <igor@parallels.com> 7.0.16
 - Handle PCD_VIRTIO_SCSI subtype #PSBM-34880

* Fri Oct 09 2015 Igor Sukhih <igor@parallels.com> 7.0.15
 - Set userpasswd: --crypted option does not work, #PSBM-39904
 - Added forgotten new line #PSBM-34884
 - Add missed break
 - Fix venet0 representation in netif and netdev fields, #PSBM-35242
 - Add cache for VM net devices to prevent dynamic_casts

* Tue Jul 28 2015 Igor Sukhih <igor@parallels.com> 7.0.13
 - Change echo on printf in autocomplition script, #PSBM-34994

* Wed Jul 22 2015 Igor Sukhih <igor@parallels.com> 7.0.12
 - Autocomplete fix, #PSBM-34994

* Wed Jul 22 2015 Igor Sukhih <igor@parallels.com> 7.0.11
 - Add uuids to autocompletion script, #PSBM-34994
 - Virtual adapter name is now obtained via SDK, #PSBM-34906
 - Removed change-passwd option from prlctl usage, #PSBM-34302

* Wed Jul 15 2015 Igor Sukhih <igor@parallels.com> 7.0.10
 - Display bridge name for virtual network, #PSBM-34885

* Tue Jul 14 2015 Igor Sukhih <igor@parallels.com> 7.0.9
 - Show name of a bridge of a host-only network in detailed view, #PSBM-34885

* Wed Jul 08 2015 Dmitry Mishin <dim@virtuozzo.com> 7.0.8
 - Restore original paths to binaries #PSBM-34772

* Tue Jun 30 2015 Igor Sukhih <igor@parallels.com> 7.0.7
 - Enable --autocompact option, #PSBM-33989

* Tue Jun 30 2015 Igor Sukhih <igor@parallels.com> 7.0.6
 - Incorrect iolimit displayed if > 2147483647, #PSBM-34472
 - Add README

* Mon Jun 01 2015 Dmitry Mishin <dim@parallels.com> 7.0.5
 - Added copyright and license headers

* Tue May 26 2015 Igor Sukhih <igor@parallels.com> 7.0.4
 - Use new API to get CTID
 - #PSBM-33779

* Thu May 21 2015 Igor Sukhih <igor@parallels.com> 7.0.3
 - prlctl can't create VE if --uuid with {}

* Fri Apr 10 2015 Daniil Guzanov <dguzanov@odin.com> 7.0.2
 - Added license text #PSBM-26806
 - Updated license #PSBM-26806

* Wed Apr 08 2015 Daniil Guzanov <dguzanov@odin.com> 7.0.1
 - PrlSrv: do not apply network parameters twice for a bridged virtual network
(Igor Bazhitov <ibazhitov@parallels.com>)
 - MAJOR Switch to standalone build (dim <dim@parallels.com>)

